export declare const classMap: Map<any, any>;
export declare class Relation {
    config: any;
    /**
     * Creates an instance of Relation.
     * @param {*} config
     * @memberof Relation
     */
    constructor(config: any);
    /**
     *
     *
     * @param {*} cls
     * @returns
     * @memberof Relation
     */
    getRelations(cls: any): any;
    getRelationData(options: any, data: any): Promise<any>;
    /**
     * HasOneRelation
     *
     * @param {*} config
     * @param {*} options
     * @param {*} rel
     * @param {*} data
     * @returns
     * @memberof Relation
     */
    getHasOneRelation(config: any, options: any, rel: any, data: any): any;
    /**
     * HasManyRelation
     *
     * @param {*} config
     * @param {*} options
     * @param {*} rel
     * @param {*} data
     * @returns
     * @memberof Relation
     */
    getHasManyRelation(config: any, options: any, rel: any, data: any): any;
    /**
     * ManyToManyRelation
     *
     * @param {*} config
     * @param {*} options
     * @param {*} rel
     * @param {*} data
     * @returns
     * @memberof Relation
     */
    getManyToManyRelation(config: any, options: any, rel: any, data: any): any;
}
